Work in progress. Some documented features are not live yet.

Create deposit

POST
/v1/deposits

The idempotency key is unique within the application. Retrying the same deposit returns the existing record without funding the wallet again.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deposits" \  -H "Content-Type: application/json" \  -d '{    "identity": "string",    "creditKey": "string",    "amountNanocredits": "string",    "idempotencyKey": "string"  }'
{  "deposit": {    "id": "string",    "identity": "string",    "creditKey": "string",    "amountNanocredits": "string",    "idempotencyKey": "string",    "createdAt": 0  },  "duplicate": true}